Attribute Definition Name Delete
Description
Delete attribute definition names based on name or ID. This is new as of Grouper v2.1
Features
Delete attribute definition name based on name or ID
Non-lite service can delete multiple attributeDefNames at once
Can pass in a txType so that you can run all the deletes in one transaction, or just finish the work that is possible with no enclosing transaction
Returns attribute definition name(s), and the result code of if it was deleted or not (still a success if it didnt exist, though if the folder didnt exist, that is bad)
Can actAs another user
attributeDefNameDelete Lite service
Accepts one attribute def name to delete...
Documentation: SOAP (click on attributeDefNameDeleteLite), REST (click on attributeDefNameDeleteLite)
For REST, the request can put data in query string (in URL or request body)
REST request (colon is escaped to %3A): DELETE /grouper-ws/servicesRest/v2_1_000/attributeDefNames
Note: if passing data in request body e.g. actAs, use a POST
(see documentation above for details): Request object, response object
Samples (all files with "Lite" in them, click on "download" to see file)
attributeDefNameDelete service
Accepts multiple attributeDefNames to delete
Documentation: SOAP (click on attributeDefNameDelete), REST (click on attributeDefNameDelete)
REST request (colon is escaped to %3A): POST /grouper-ws/servicesRest/v2_1_000/attributeDefNames
(see documentation above for details): Request object, response object
Returns an overall status, and a status for each assignment
Samples (all files without "Lite" in them, click on "download" to see files)